Frequent crashes on 2.7

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Frequent crashes on 2.7

Erik Sandberg
Hi,

I have had lots of memory corruption problems in 2.7 for a while now. An
example:

\version "2.7.6"
{ \stemDown c}

gives output:

GNU LilyPond 2.7.6
Processing `crash.ly'
Parsing...
Interpreting music... scm_unprotect_object called on unprotected object
Aborted

--
Erik



_______________________________________________
lilypond-devel mailing list
[hidden email]
http://lists.gnu.org/mailman/listinfo/lilypond-devel
Reply | Threaded
Open this post in threaded view
|

Re: Frequent crashes on 2.7

Han-Wen Nienhuys
Erik Sandberg wrote:

> Hi,
>
> I have had lots of memory corruption problems in 2.7 for a while now. An
> example:
>
> \version "2.7.6"
> { \stemDown c}
>
> gives output:
>
> GNU LilyPond 2.7.6
> Processing `crash.ly'
> Parsing...
> Interpreting music... scm_unprotect_object called on unprotected object
> Aborted

Try running in GDB   and setting a breakpoint on scm_error or abort().
You shouldn't call unprotect from a destructor.

--
  Han-Wen Nienhuys - [hidden email] - http://www.xs4all.nl/~hanwen


_______________________________________________
lilypond-devel mailing list
[hidden email]
http://lists.gnu.org/mailman/listinfo/lilypond-devel
Reply | Threaded
Open this post in threaded view
|

Re: Frequent crashes on 2.7

Graham Percival-2
In reply to this post by Erik Sandberg

On 18-Aug-05, at 12:12 AM, Erik Sandberg wrote:

> I have had lots of memory corruption problems in 2.7 for a while now.
> An
> example:

> \version "2.7.6"
> { \stemDown c}

FWIW, I have no problem running this.  What version of... actually, I
don't
know what package might cause this.  I'm running guile 1.6.7, if that
helps.

Cheers,
- Graham



_______________________________________________
lilypond-devel mailing list
[hidden email]
http://lists.gnu.org/mailman/listinfo/lilypond-devel
Reply | Threaded
Open this post in threaded view
|

Re: Frequent crashes on 2.7

Erik Sandberg
In reply to this post by Han-Wen Nienhuys
On Thursday 18 August 2005 11.22, Han-Wen Nienhuys wrote:

> Erik Sandberg wrote:
> > Hi,
> >
> > I have had lots of memory corruption problems in 2.7 for a while now. An
> > example:
> >
> > \version "2.7.6"
> > { \stemDown c}
> >
> > gives output:
> >
> > GNU LilyPond 2.7.6
> > Processing `crash.ly'
> > Parsing...
> > Interpreting music... scm_unprotect_object called on unprotected object
> > Aborted
>
> Try running in GDB   and setting a breakpoint on scm_error or abort().

The problem mysteriously disappeared after make clean;autogen.sh;make.

> You shouldn't call unprotect from a destructor.
no worries, this is with the official lily CVS.

--
Erik


_______________________________________________
lilypond-devel mailing list
[hidden email]
http://lists.gnu.org/mailman/listinfo/lilypond-devel